### GET /sejm/term{term}/videos/today Source: https://api.sejm.gov.pl/sejm/openapi API endpoint for GET /sejm/term{term}/videos/today ```markdown ### Parameters - **term** (integer (int32), path, required): a Sejm term ### Responses #### 200 - a list of video transmissions for today - Array of Video ### Example Usage ```bash curl -X GET "https://api.sejm.gov.pl//sejm/term{term}/videos/today" ``` ``` -------------------------------- ### GET /sejm/term{term}/videos Source: https://api.sejm.gov.pl/sejm/openapi API endpoint for GET /sejm/term{term}/videos ```markdown ### Parameters - **term** (integer (int32), path, required): a Sejm term - **comm** (string, query, optional): filters videos for a specified committee - **limit** (integer (int32), query, optional): controls the maximum number of items that may be returned for a single request - **offset** (integer (int32), query, optional): controls the starting point within the collection of resource results - **since** (string, query, optional): filters videos starting from a specified date - **till** (string, query, optional): filters videos starting before a specified date - **title** (string, query, optional): filters videos containing a specified string in a title - **type** (string, query, optional): filters videos with a specified type ### Responses #### 200 - a list of video transmissions - Array of Video ### Example Usage ```bash curl -X GET "https://api.sejm.gov.pl//sejm/term{term}/videos?comm=string&limit=50&offset=0&since=string&till=string&title=string&type=string" ``` ``` -------------------------------- ### GET /sejm/term{term}/videos/{date} Source: https://api.sejm.gov.pl/sejm/openapi API endpoint for GET /sejm/term{term}/videos/{date} ```markdown ### Parameters - **date** (LocalDate, path, required): a date - **term** (integer (int32), path, required): a Sejm term ### Responses #### 200 - a list of video transmissions for specified date - Array of Video ### Example Usage ```bash curl -X GET "https://api.sejm.gov.pl//sejm/term{term}/videos/{date}" ``` ``` -------------------------------- ### GET /sejm/term{term}/videos/{unid} Source: https://api.sejm.gov.pl/sejm/openapi API endpoint for GET /sejm/term{term}/videos/{unid} ```markdown ### Parameters - **term** (integer (int32), path, required): a Sejm term - **unid** (string, path, required): an event identifier ### Responses #### 200 - a video transmissions metadata **Video** - **unid** (string): An unique indentifier of a transmission (example: "758DAA6CDF68DFC0C12588F6003C6EF3") - **videoLink** (string): An URL or URLs to a video transmission (example: "https://sejm.c.blueonline.tv/stream/ENC01/95D9F487F901760EC1258BA20052CC01/playlist.m3u8?start=1754380800000") - **otherVideoLinks** (array (string)): A list of URLs to a other cameras in a video transmission (example: "https://sejm.c.blueonline.tv/stream/ENC30/95D9F487F901760EC1258BA20052CC01/playlist.m3u8?start=1754380800000") - **videoMessagesLink** (string): A link to a messages for a transmission - **type** (string): A type of transmission (example: "komisja") - **transcribe** (boolean): Is there a transcription available (example: true) - **startDateTime** (string (date-time)): A start date and time of transmission (example: "2023-05-24T10:00:00.000Z") - **endDateTime** (string (date-time)): An end date and time of transmission (example: "2023-05-24T12:00:00.000Z") - **signLangLink** (string): An URL of a sign language transmission - **title** (string): A title of a transmission (example: "Parlamentarny Zespół ds. Personelu Niemedycznego Ochrony Zdrowia") - **audio** (string): A link to a an audio file - **room** (string): A room where the transmission takes place (example: "sala im. Konstytucji 3-go Maja (nr 118, bud. C)") - **description** (string): A description of a transmission (example: "Medyczne zawody niemedyczne - przyszłość przenoszenia niektórych dodatkowych zadań w ramach opieki nad pacjentem na personel niemedyczny oraz tworzenie związanych z tym możliwości rozwoju zawodowego dla personelu.\\r\\n\\r\\n") - **committee** (string): A committee code if the transmission is a committee meeting (example: "SUE") - **subcommittee** (string): A subcommittee code if the transmission is a subcommittee meeting (example: "KSP02S") - **playerLink** (string): A link to a video player on the Sejm website - **playerLinkIFrame** (string): A link to a video player on the Sejm website, that can be embedded as iframe ### Example Usage ```bash curl -X GET "https://api.sejm.gov.pl//sejm/term{term}/videos/{unid}" ``` ``` -------------------------------- ### GET /sejm/term{term}/processes Source: https://api.sejm.gov.pl/sejm/openapi API endpoint for GET /sejm/term{term}/processes ```markdown ### Parameters - **term** (integer (int32), path, required): a Sejm term - **documentType** (string, query, optional): a type of a document - **limit** (integer (int32), query, optional): controls the maximum number of items that may be returned for a single request - **modifiedSince** (LocalDateTime, query, optional): filters processes modified since specified date - **offset** (integer (int32), query, optional): controls the starting point within the collection of resource results - **passed** (boolean, query, optional): only passed acts - **sort_by** (string, query, optional): sorts objects by specified field, to sort in descending order add a minus sign before field name - **title** (string, query, optional): filters processes containing a specified string in a title ### Responses #### 200 - a list of legislative processes - Array of ProcessHeader ### Example Usage ```bash curl -X GET "https://api.sejm.gov.pl//sejm/term{term}/processes?documentType=string&limit=50&modifiedSince=value&offset=0&passed=true&sort_by=string&title=string" ``` ``` -------------------------------- ### GET /sejm/term{term}/processes/{num} Source: https://api.sejm.gov.pl/sejm/openapi API endpoint for GET /sejm/term{term}/processes/{num} ```markdown ### Parameters - **num** (string, path, required): a print number - **term** (integer (int32), path, required): a Sejm term ### Responses #### 200 - information about a process for a given print number **ProcessDetails** - **term** (integer (int32)): a Sejm term (example: 9) - **number** (string): a number of a print in the specified Sejm term (example: "19") - **title** (string): a title of a process (example: "Rządowy projekt ustawy o zmianie ustawy o transporcie kolejowym") - **description** (string): a description of a process (example: "projekt ustawy dotyczy utworzenia nowego uniwersytetu medycznego") - **uE** (string (NO|ADAPTATION|ENFORCEMENT)) ("NO"|"ADAPTATION"|"ENFORCEMENT") - **documentDate** (string (date)): a date of a print (example: "2019-11-19T00:00:00.000Z") - **changeDate** (string (date-time)): a date of last change to the process (example: "2019-11-21T10:01:37.000Z") - **webGeneratedDate** (string (date-time)): A date when a web page with a process was updated (example: "2020-01-02T15:00:52.000Z") - **processStartDate** (string (date)): a date of the start of the process (example: "2019-11-19T00:00:00.000Z") - **documentType** (string): a type of a document (example: "projekt ustawy") - **documentTypeEnum** (string (DRAFT_RESOLUTION|BILL|OTHER|CONSTITUTIONAL_TRIBUNAL_RULING)) ("DRAFT_RESOLUTION"|"BILL"|"OTHER"|"CONSTITUTIONAL_TRIBUNAL_RULING") - **comments** (string): comments (example: "Obywatelski projekt ustawy został wniesiony w VIII kadencji Sejmu (druk nr 226). Na podstawie art. 4. ust. 3 ustawy o wykonywaniu inicjatywy ustawodawczej przez obywateli - projekt ustawy, w stosunku do którego postępowanie ustawodawcze nie zostało zakończone w trakcie kadencji Sejmu, w której został wniesiony, jest rozpatrywany przez Sejm następnej kadencji.") - **printsConsideredJointly** (array (string)): prints considered jointly - **titleFinal** (string): A final title of the act (example: "o zmianie ustawy o świadczeniach opieki zdrowotnej finansowanych ze środków publicznych") - **closureDate** (string (date)): A date of case closure (example: "2023-11-29T00:00:00.000Z") - **address** (string): an address of publication in the ISAP service. An address is in format {publisher}{year}{volume}{position} (example: "WDU20250000179") - **displayAddress** (string): an address to display (example: "Dz.U. 2025 poz. 179") - **eLI** (string): an European Legislation Identifier (example: "DU/2025/179") - **passed** (boolean): is this act was passed (example: true) - **links** (array (unknown)): Links - **shortenProcedure** (boolean): Article 51 of the Sejm Regulations - in particularly justified cases, the Sejm may shorten the procedure for drafting bills - **urgencyStatus** (string (NORMAL|URGENT|URGENT_WITHDRAWN)) ("NORMAL"|"URGENT"|"URGENT_WITHDRAWN") - **urgencyWithdrawDate** (string (date)): date when urgency clause was withdrawn (example: "2022-03-10T00:00:00.000Z") - **otherDocuments** (array (ProcessDocument)): other prints, corrections Array items: - **number** (string): a print number (example: "13-A") - **registeredDate** (string (date)): a date when a document was registered (example: "2019-11-28T00:00:00.000Z") - **documentDate** (string (date)): a date of a document (example: "2019-11-28T00:00:00.000Z") - **title** (string): a title of a print (example: "Opinia Komisji Sprawiedliwości i Praw Człowieka dotycząca wniosków w sprawie wyboru na stanowiska sędziów Trybunału Konstytucyjnego.") - **rclNum** (string): number from government part of the process (from RCL website) (example: "RM-0610-84-21") - **rclLink** (string): link to government part of the process (RCL website) - **legislativeCommittee** (boolean): indicates that for work on this project a members of Legislative Committee has been assigned (example: false) - **principleOfSubsidiarity** (boolean): indicates that the project is inconsistent with the principle of subsidiarity (example: false) - **stages** (array (ProcessStage)): stages of the process Array items: - **stageName** (string): a name of a stage (example: "I czytanie na posiedzeniu Sejmu") - **date** (string (date)): a stage date (example: "2019-11-28T00:00:00.000Z") - **children** (array (ProcessStage)): child stages Array items: - **stageType** (string): a type of a stage ### Example Usage ```bash curl -X GET "https://api.sejm.gov.pl//sejm/term{term}/processes/{num}" ``` ``` -------------------------------- ### GET /sejm/term{term}/proceedings/{id}/{date}/transcripts/pdf Source: https://api.sejm.gov.pl/sejm/openapi API endpoint for GET /sejm/term{term}/proceedings/{id}/{date}/transcripts/pdf ```markdown ### Parameters - **date** (LocalDate, path, required): a sitting date - **id** (integer (int32), path, required): a sitting id - **term** (integer (int32), path, required): a Sejm term ### Responses #### 200 - a transcript of a sitting Empty response body ### Example Usage ```bash curl -X GET "https://api.sejm.gov.pl//sejm/term{term}/proceedings/{id}/{date}/transcripts/pdf" ``` ``` -------------------------------- ### Schema: ProcessStageStart Source: https://api.sejm.gov.pl/sejm/openapi process start ```markdown ## Schema: ProcessStageStart process start **Type:** object - **stageName** (string): a name of a stage (example: "I czytanie na posiedzeniu Sejmu") - **date** (string (date)): a stage date (example: "2019-11-28T00:00:00.000Z") - **children** (array (ProcessStage)): child stages Array items: - **stageName** (string): a name of a stage (example: "I czytanie na posiedzeniu Sejmu") - **date** (string (date)): a stage date (example: "2019-11-28T00:00:00.000Z") - **children** (array (ProcessStage)): child stages Array items: - **stageType** (string): a type of a stage - **printNumber** (string): print number (example: "248") - **otherDocuments** (array (ProcessDocument)): other prints, corrections Array items: - **number** (string): a print number (example: "13-A") - **registeredDate** (string (date)): a date when a document was registered (example: "2019-11-28T00:00:00.000Z") - **documentDate** (string (date)): a date of a document (example: "2019-11-28T00:00:00.000Z") - **title** (string): a title of a print (example: "Opinia Komisji Sprawiedliwości i Praw Człowieka dotycząca wniosków w sprawie wyboru na stanowiska sędziów Trybunału Konstytucyjnego.") - **stageType** (string) ``` -------------------------------- ### GET /sejm/term Source: https://api.sejm.gov.pl/sejm/openapi API endpoint for GET /sejm/term ```markdown ### Responses #### 200 - a list of terms - Array of Term ### Example Usage ```bash curl -X GET "https://api.sejm.gov.pl//sejm/term" ``` ``` -------------------------------- ### Schema: Video Source: https://api.sejm.gov.pl/sejm/openapi a video ```markdown ## Schema: Video a video **Type:** object - **unid** (string): An unique indentifier of a transmission (example: "758DAA6CDF68DFC0C12588F6003C6EF3") - **videoLink** (string): An URL or URLs to a video transmission (example: "https://sejm.c.blueonline.tv/stream/ENC01/95D9F487F901760EC1258BA20052CC01/playlist.m3u8?start=1754380800000") - **otherVideoLinks** (array (string)): A list of URLs to a other cameras in a video transmission (example: "https://sejm.c.blueonline.tv/stream/ENC30/95D9F487F901760EC1258BA20052CC01/playlist.m3u8?start=1754380800000") - **videoMessagesLink** (string): A link to a messages for a transmission - **type** (string): A type of transmission (example: "komisja") - **transcribe** (boolean): Is there a transcription available (example: true) - **startDateTime** (string (date-time)): A start date and time of transmission (example: "2023-05-24T10:00:00.000Z") - **endDateTime** (string (date-time)): An end date and time of transmission (example: "2023-05-24T12:00:00.000Z") - **signLangLink** (string): An URL of a sign language transmission - **title** (string): A title of a transmission (example: "Parlamentarny Zespół ds. Personelu Niemedycznego Ochrony Zdrowia") - **audio** (string): A link to a an audio file - **room** (string): A room where the transmission takes place (example: "sala im. Konstytucji 3-go Maja (nr 118, bud. C)") - **description** (string): A description of a transmission (example: "Medyczne zawody niemedyczne - przyszłość przenoszenia niektórych dodatkowych zadań w ramach opieki nad pacjentem na personel niemedyczny oraz tworzenie związanych z tym możliwości rozwoju zawodowego dla personelu.\\r\\n\\r\\n") - **committee** (string): A committee code if the transmission is a committee meeting (example: "SUE") - **subcommittee** (string): A subcommittee code if the transmission is a subcommittee meeting (example: "KSP02S") - **playerLink** (string): A link to a video player on the Sejm website - **playerLinkIFrame** (string): A link to a video player on the Sejm website, that can be embedded as iframe ``` -------------------------------- ### GET /sejm/term{term} Source: https://api.sejm.gov.pl/sejm/openapi API endpoint for GET /sejm/term{term} ```markdown ### Parameters - **term** (integer (int32), path, required): a term number ### Responses #### 200 - information about a term **Term** - **num** (integer (int32)): Number of term of the Sejm (example: 9) - **from** (string (date)): Date start of term (example: "2019-11-12T00:00:00.000Z") - **to** (string (date)): Date end of term (example: "2019-11-12T00:00:00.000Z") - **current** (boolean): Current of term (example: true) - **prints** (object): info about prints - **count** (integer (int32)): number of prints (example: 735) - **lastChanged** (string (date-time)): date of last changed document (example: "2022-03-10T12:15:50.000Z") - **link** (string): a link to prints endpoint ### Example Usage ```bash curl -X GET "https://api.sejm.gov.pl//sejm/term{term}" ``` ``` -------------------------------- ### GET /sejm/term{term}/writtenQuestions Source: https://api.sejm.gov.pl/sejm/openapi API endpoint for GET /sejm/term{term}/writtenQuestions ```markdown ### Parameters - **term** (integer (int32), path, required): a Sejm term - **delayed** (boolean, query, optional): display only cases where an answer delayed - **from** (string, query, optional): filters interpellations from a MP with a specified ID - **limit** (integer (int32), query, optional): controls the maximum number of items that may be returned for a single request - **modifiedSince** (LocalDateTime, query, optional): filters interpellations modified since specified date - **offset** (integer (int32), query, optional): controls the starting point within the collection of resource results - **since** (string, query, optional): filters interpellations starting from a specified date - **sort_by** (string, query, optional): sorts objects by specified field, to sort in descending order add a minus sign before field name - **till** (string, query, optional): filters interpellations starting before a specified date - **title** (string, query, optional): filters interpellations containing a specified string in a title - **to** (string, query, optional): filters interpellations sent to a specified recipient ### Responses #### 200 - a list of written questions - Array of WrittenQuestion ### Example Usage ```bash curl -X GET "https://api.sejm.gov.pl//sejm/term{term}/writtenQuestions?delayed=true&from=string&limit=50&modifiedSince=value&offset=0&since=string&sort_by=string&till=string&title=string&to=string" ``` ``` -------------------------------- ### Schema: ProcessStageSejmReading Source: https://api.sejm.gov.pl/sejm/openapi reading on Sejm sitting ```markdown ## Schema: ProcessStageSejmReading reading on Sejm sitting **Type:** object - **stageName** (string): a name of a stage (example: "I czytanie na posiedzeniu Sejmu") - **date** (string (date)): a stage date (example: "2019-11-28T00:00:00.000Z") - **children** (array (ProcessStage)): child stages Array items: - **stageName** (string): a name of a stage (example: "I czytanie na posiedzeniu Sejmu") - **date** (string (date)): a stage date (example: "2019-11-28T00:00:00.000Z") - **children** (array (ProcessStage)): child stages Array items: - **stageType** (string): a type of a stage - **sittingNum** (integer (int32)): Sejm sitting number (example: 77) - **comment** (string): comment (example: "przez aklamację") - **decision** (string): decision (example: "podjęto uchwałę") - **textAfter3** (string): a link to a text after third reading (in a PDF format) (example: "https://api.sejm.gov.pl/sejm/term10/processes/241/attachment/241_u3.pdf") - **stageType** (string) ``` -------------------------------- ### Schema: ProceedingDay Source: https://api.sejm.gov.pl/sejm/openapi info about a proceeding day ```markdown ## Schema: ProceedingDay info about a proceeding day **Type:** object - **proceeding** (integer (int32)): proceeding number - **date** (string (date)): proceeding date (example: "2022-03-10T00:00:00.000Z") - **votingsNum** (integer (int32)): number of votings on this day ``` -------------------------------- ### GET /sejm/term{term}/votings/search Source: https://api.sejm.gov.pl/sejm/openapi API endpoint for GET /sejm/term{term}/votings/search ```markdown ### Parameters - **term** (integer (int32), path, required): a Sejm term - **dateFrom** (LocalDate, query, optional): a date to search from - **dateTo** (LocalDate, query, optional): a date to search to - **limit** (integer (int32), query, optional): controls the maximum number of items that may be returned for a single request - **offset** (integer (int32), query, optional): controls the starting point within the collection of resource results - **proceeding** (integer (int32), query, optional): a proceeding number - **title** (string, query, optional): a title to search for ### Responses #### 200 - votings that meet search criteria - Array of Voting ### Example Usage ```bash curl -X GET "https://api.sejm.gov.pl//sejm/term{term}/votings/search?dateFrom=value&dateTo=value&limit=50&offset=0&proceeding=0&title=string" ``` ``` -------------------------------- ### Schema: ProcessStageReferral Source: https://api.sejm.gov.pl/sejm/openapi referral ```markdown ## Schema: ProcessStageReferral referral **Type:** object - **stageName** (string): a name of a stage (example: "I czytanie na posiedzeniu Sejmu") - **date** (string (date)): a stage date (example: "2019-11-28T00:00:00.000Z") - **children** (array (ProcessStage)): child stages Array items: - **stageName** (string): a name of a stage (example: "I czytanie na posiedzeniu Sejmu") - **date** (string (date)): a stage date (example: "2019-11-28T00:00:00.000Z") - **children** (array (ProcessStage)): child stages Array items: - **stageType** (string): a type of a stage - **type** (string (NORMAL|ADDITIONAL|OPINION|ADDITIONAL_OPINION|WITHDRAWAL)) ("NORMAL"|"ADDITIONAL"|"OPINION"|"ADDITIONAL_OPINION"|"WITHDRAWAL") - **committeeCode** (string): a committee code or null for Sejm reading (example: "ENM") - **reportDate** (string (date)): recommended date of report (example: "2019-11-12T00:00:00.000Z") - **remarks** (string): remarks - **stageType** (string) ``` -------------------------------- ### GET /sejm/term{term}/votings Source: https://api.sejm.gov.pl/sejm/openapi API endpoint for GET /sejm/term{term}/votings ```markdown ### Parameters - **term** (integer (int32), path, required): a Sejm term ### Responses #### 200 - numbers of votings for each day - Array of ProceedingDay ### Example Usage ```bash curl -X GET "https://api.sejm.gov.pl//sejm/term{term}/votings" ``` ``` -------------------------------- ### Schema: Proceeding Source: https://api.sejm.gov.pl/sejm/openapi A proceeding. ```markdown ## Schema: Proceeding A proceeding. **Type:** object - **title** (string): a title of the proceeding (example: "1. Posiedzenie Sejmu RP w dniach 12, 13, 19 i 21 listopada 2019 r.") - **dates** (array (string (date))): a dates of the proceeding - **current** (boolean): is this a current proceeding - **agenda** (string): agenda of a proceeding - **schedule** (string): schedule of a proceeding (only for current proceeding) - **votings** (string): schedule of votings for a proceeding (only for current proceeding) - **currentAffairs** (string): current information and questions on current affairs (only for current proceeding) - **number** (integer (int32)): a proceeding number (example: 1) ``` -------------------------------- ### Schema: ProcessStageReading Source: https://api.sejm.gov.pl/sejm/openapi reading ```markdown ## Schema: ProcessStageReading reading **Type:** object - **stageName** (string): a name of a stage (example: "I czytanie na posiedzeniu Sejmu") - **date** (string (date)): a stage date (example: "2019-11-28T00:00:00.000Z") - **children** (array (ProcessStage)): child stages Array items: - **stageName** (string): a name of a stage (example: "I czytanie na posiedzeniu Sejmu") - **date** (string (date)): a stage date (example: "2019-11-28T00:00:00.000Z") - **children** (array (ProcessStage)): child stages Array items: - **stageType** (string): a type of a stage - **continuedOn** (array (string (date))): reading continued on - **stageType** (string) ``` -------------------------------- ### GET /sejm/term{term}/processes/passed Source: https://api.sejm.gov.pl/sejm/openapi API endpoint for GET /sejm/term{term}/processes/passed ```markdown ### Parameters - **term** (integer (int32), path, required): a Sejm term - **documentType** (string, query, optional): a type of a document - **limit** (integer (int32), query, optional): controls the maximum number of items that may be returned for a single request - **modifiedSince** (LocalDateTime, query, optional): filters processes modified since specified date - **offset** (integer (int32), query, optional): controls the starting point within the collection of resource results - **passed** (boolean, query, optional): only passed acts - **sort_by** (string, query, optional): sorts objects by specified field, to sort in descending order add a minus sign before field name - **title** (string, query, optional): filters processes containing a specified string in a title ### Responses #### 200 - a list of legislative processes - Array of ProcessHeader ### Example Usage ```bash curl -X GET "https://api.sejm.gov.pl//sejm/term{term}/processes/passed?documentType=string&limit=50&modifiedSince=value&offset=0&passed=true&sort_by=string&title=string" ``` ``` -------------------------------- ### Schema: ProcessStagePresidentToTribunal Source: https://api.sejm.gov.pl/sejm/openapi the President referred the act to the Constitutional Tribunal ```markdown ## Schema: ProcessStagePresidentToTribunal the President referred the act to the Constitutional Tribunal **Type:** object - **stageName** (string): a name of a stage (example: "I czytanie na posiedzeniu Sejmu") - **date** (string (date)): a stage date (example: "2019-11-28T00:00:00.000Z") - **children** (array (ProcessStage)): child stages Array items: - **stageType** (string) ``` -------------------------------- ### Schema: ProcessHeader Source: https://api.sejm.gov.pl/sejm/openapi A legislative process ```markdown ## Schema: ProcessHeader A legislative process **Type:** object - **uE** (string (NO|ADAPTATION|ENFORCEMENT)) ("NO"|"ADAPTATION"|"ENFORCEMENT") - **eLI** (string): an European Legislation Identifier (example: "DU/2025/179") - **term** (integer (int32)): A Sejm term (example: 9) - **number** (string): A number of the process (example: "40") - **title** (string): A title of the process (example: "Obywatelski projekt ustawy o ochronie własności w Rzeczypospolitej Polskiej przed roszczeniami dotyczącymi mienia bezdziedzicznego") - **titleFinal** (string): A final title of the act (example: "o zmianie ustawy o świadczeniach opieki zdrowotnej finansowanych ze środków publicznych") - **description** (string): A description of the process (example: "projekt dotyczy zawieszenia na okres 6 miesięcy 2020 r. funkcjonowania ustawy. Przepisy ustawy będą stosowane do przychodów ze sprzedaży detalicznej osiągniętych od 1 lipca 2020 r") - **ue** (string (NO|ADAPTATION|ENFORCEMENT)) ("NO"|"ADAPTATION"|"ENFORCEMENT") - **documentDate** (string (date)): A date of document (example: "2019-11-28T00:00:00.000Z") - **processStartDate** (string (date)): Process start date (example: "2019-11-28T00:00:00.000Z") - **changeDate** (string (date-time)): A date when a process was last changed (example: "2020-01-02T15:00:52.000Z") - **documentType** (string): A document type (example: "projekt ustawy") - **documentTypeEnum** (string (DRAFT_RESOLUTION|BILL|OTHER|CONSTITUTIONAL_TRIBUNAL_RULING)) ("DRAFT_RESOLUTION"|"BILL"|"OTHER"|"CONSTITUTIONAL_TRIBUNAL_RULING") - **comments** (string): Comments (example: "Obywatelski projekt ustawy został wniesiony w VIII kadencji Sejmu (druk nr 226). Na podstawie art. 4. ust. 3 ustawy o wykonywaniu inicjatywy ustawodawczej przez obywateli - projekt ustawy, w stosunku do którego postępowanie ustawodawcze nie zostało zakończone w trakcie kadencji Sejmu, w której został wniesiony, jest rozpatrywany przez Sejm następnej kadencji.") - **webGeneratedDate** (string (date-time)): A date when a web page with a process was updated (example: "2020-01-02T15:00:52.000Z") - **closureDate** (string (date)): A date of case closure (example: "2023-11-29T00:00:00.000Z") - **address** (string): an address of publication in the ISAP service. An address is in format {publisher}{year}{volume}{position} (example: "WDU20250000179") - **displayAddress** (string): an address to display (example: "Dz.U. 2025 poz. 179") - **ELI** (string): an European Legislation Identifier (example: "DU/2025/179") - **passed** (boolean): is this act was passed (example: true) - **links** (array (unknown)): Links - **shortenProcedure** (boolean): Article 51 of the Sejm Regulations - in particularly justified cases, the Sejm may shorten the procedure for drafting bills - **urgencyStatus** (string (NORMAL|URGENT|URGENT_WITHDRAWN)) ("NORMAL"|"URGENT"|"URGENT_WITHDRAWN") - **urgencyWithdrawDate** (string (date)): date when urgency clause was withdrawn (example: "2022-03-10T00:00:00.000Z") - **printsConsideredJointly** (array (string)): prints considered jointly ``` -------------------------------- ### GET /sejm/term{term}/proceedings/current Source: https://api.sejm.gov.pl/sejm/openapi API endpoint for GET /sejm/term{term}/proceedings/current ```markdown ### Parameters - **term** (integer (int32), path, required): a Sejm term ### Responses #### 200 - current proceeding **Proceeding** - **title** (string): a title of the proceeding (example: "1. Posiedzenie Sejmu RP w dniach 12, 13, 19 i 21 listopada 2019 r.") - **dates** (array (string (date))): a dates of the proceeding - **current** (boolean): is this a current proceeding - **agenda** (string): agenda of a proceeding - **schedule** (string): schedule of a proceeding (only for current proceeding) - **votings** (string): schedule of votings for a proceeding (only for current proceeding) - **currentAffairs** (string): current information and questions on current affairs (only for current proceeding) - **number** (integer (int32)): a proceeding number (example: 1) ### Example Usage ```bash curl -X GET "https://api.sejm.gov.pl//sejm/term{term}/proceedings/current" ``` ``` -------------------------------- ### Schema: ProcessStagePublicHearing Source: https://api.sejm.gov.pl/sejm/openapi public hearing ```markdown ## Schema: ProcessStagePublicHearing public hearing **Type:** object - **stageName** (string): a name of a stage (example: "I czytanie na posiedzeniu Sejmu") - **date** (string (date)): a stage date (example: "2019-11-28T00:00:00.000Z") - **children** (array (ProcessStage)): child stages Array items: - **stageType** (string) ``` -------------------------------- ### GET /sejm/term{term}/proceedings Source: https://api.sejm.gov.pl/sejm/openapi API endpoint for GET /sejm/term{term}/proceedings ```markdown ### Parameters - **term** (integer (int32), path, required): a Sejm term ### Responses #### 200 - a list of proceedings - Array of Proceeding ### Example Usage ```bash curl -X GET "https://api.sejm.gov.pl//sejm/term{term}/proceedings" ``` ``` -------------------------------- ### Schema: ProcessStagePresidentSignature Source: https://api.sejm.gov.pl/sejm/openapi the President signed an act ```markdown ## Schema: ProcessStagePresidentSignature the President signed an act **Type:** object - **stageName** (string): a name of a stage (example: "I czytanie na posiedzeniu Sejmu") - **date** (string (date)): a stage date (example: "2019-11-28T00:00:00.000Z") - **children** (array (ProcessStage)): child stages Array items: - **stageName** (string): a name of a stage (example: "I czytanie na posiedzeniu Sejmu") - **date** (string (date)): a stage date (example: "2019-11-28T00:00:00.000Z") - **children** (array (ProcessStage)): child stages Array items: - **stageType** (string): a type of a stage - **omittedInconsistent** (boolean): the President signed the act omitting the provisions deemed inconsistent with the Constitution - **stageType** (string) ``` -------------------------------- ### GET /sejm/term{term}/prints Source: https://api.sejm.gov.pl/sejm/openapi API endpoint for GET /sejm/term{term}/prints ```markdown ### Parameters - **term** (integer (int32), path, required): a Sejm term - **sort_by** (string, query, optional): sorts objects by specified field, to sort in descending order add a minus sign before field name ### Responses #### 200 - a list of prints - Array of Print ### Example Usage ```bash curl -X GET "https://api.sejm.gov.pl//sejm/term{term}/prints?sort_by=string" ``` ```